Subject: Ticket Assigned - Feedback or suggestions
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Mon, 06 Mar 2023 15:23:53 +0000 (UTC)

Hi Mohammad Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Hello I received email from one of your representative. I have ordered last time stroller worth 36.00AED Giggles stroller. After 2 days, you emailed that you will refund my money and there's a glitch in your system. I think you should send us what we ordered. I understand that there's a fault in your system, but this not our fault. You I think you should give that to us the fact that you deduct it in our account. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5800591